org.apache.ignite.cache.store.cassandra.session

## Class LoadCacheCustomQueryWorker<K,V>

- java.lang.Object
- - org.apache.ignite.cache.store.cassandra.session.LoadCacheCustomQueryWorker<K,V>

- Type Parameters:
    `K` - Key type.
    `V` - Value type.
  All Implemented Interfaces:
    Callable<Void>

      public class LoadCacheCustomQueryWorker<K,V>
      extends Object
      implements Callable<Void>

  Worker for load cache using custom user query.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadCacheCustomQueryWorker(CassandraSession ses, com.datastax.driver.core.Statement stmt, PersistenceController ctrl, IgniteLogger log, IgniteBiInClosure<K,V> clo)`
    `LoadCacheCustomQueryWorker(CassandraSession ses, String qry, PersistenceController ctrl, IgniteLogger log, IgniteBiInClosure<K,V> clo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `call()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadCacheCustomQueryWorker

          public LoadCacheCustomQueryWorker(CassandraSession ses,
                                            String qry,
                                            PersistenceController ctrl,
                                            IgniteLogger log,
                                            IgniteBiInClosure<K,V> clo)

      Parameters:
        `ses` - Session.
        `qry` - Query.
        `ctrl` - Control.
        `log` - Logger.
        `clo` - Closure for loaded values.

    - #### LoadCacheCustomQueryWorker

          public LoadCacheCustomQueryWorker(CassandraSession ses,
                                            com.datastax.driver.core.Statement stmt,
                                            PersistenceController ctrl,
                                            IgniteLogger log,
                                            IgniteBiInClosure<K,V> clo)

      Parameters:
        `ses` - Session.
        `stmt` - Statement.
        `ctrl` - Control.
        `log` - Logger.
        `clo` - Closure for loaded values.

  - ### Method Detail

    - #### call

          public Void call()
                    throws Exception

      Specified by:
        `call` in interface `Callable<Void>`
      Throws:
        `Exception`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023